Note : This endpoint is in preview and is subject to change.
If you have any feedback, contact Datadog support .
POST https://api.ap1.datadoghq.com/api/v2/llm-obs/v1/{project_id}/datasets https://api.ap2.datadoghq.com/api/v2/llm-obs/v1/{project_id}/datasets https://api.datadoghq.eu/api/v2/llm-obs/v1/{project_id}/datasets https://api.ddog-gov.com/api/v2/llm-obs/v1/{project_id}/datasets https://api.us2.ddog-gov.com/api/v2/llm-obs/v1/{project_id}/datasets https://api.uk1.datadoghq.com/api/v2/llm-obs/v1/{project_id}/datasets https://api.datadoghq.com/api/v2/llm-obs/v1/{project_id}/datasets https://api.us3.datadoghq.com/api/v2/llm-obs/v1/{project_id}/datasets https://api.us5.datadoghq.com/api/v2/llm-obs/v1/{project_id}/datasets
概要 Create a new Agent Observability dataset within the specified project.
引数 パスパラメーター The ID of the Agent Observability project.
リクエスト Body Data (required) Create dataset payload.
Expand All
Data object for creating an Agent Observability dataset.
Attributes for creating an Agent Observability dataset.
Description of the dataset.
Arbitrary metadata associated with the dataset.
Resource type of an Agent Observability dataset.
Allowed enum values: datasets
{
"data" : {
"attributes" : {
"description" : "string" ,
"metadata" : {},
"name" : "My LLM Dataset"
},
"type" : "datasets"
}
} 応答 OK
Response containing a single Agent Observability dataset.
Expand All
Data object for an Agent Observability dataset.
Attributes of an Agent Observability dataset.
Timestamp when the dataset was created.
current_version [required ]
Current version number of the dataset.
Description of the dataset.
Arbitrary metadata associated with the dataset.
Timestamp when the dataset was last updated.
Unique identifier of the dataset.
Resource type of an Agent Observability dataset.
Allowed enum values: datasets
{
"data" : {
"attributes" : {
"created_at" : "2024-01-15T10:30:00Z" ,
"current_version" : 1 ,
"description" : "" ,
"metadata" : {},
"name" : "My LLM Dataset" ,
"updated_at" : "2024-01-15T10:30:00Z"
},
"id" : "9f64e5c7-dc5a-45c8-a17c-1b85f0bec97d" ,
"type" : "datasets"
}
} Created
Response containing a single Agent Observability dataset.
Expand All
Data object for an Agent Observability dataset.
Attributes of an Agent Observability dataset.
Timestamp when the dataset was created.
current_version [required ]
Current version number of the dataset.
Description of the dataset.
Arbitrary metadata associated with the dataset.
Timestamp when the dataset was last updated.
Unique identifier of the dataset.
Resource type of an Agent Observability dataset.
Allowed enum values: datasets
{
"data" : {
"attributes" : {
"created_at" : "2024-01-15T10:30:00Z" ,
"current_version" : 1 ,
"description" : "" ,
"metadata" : {},
"name" : "My LLM Dataset" ,
"updated_at" : "2024-01-15T10:30:00Z"
},
"id" : "9f64e5c7-dc5a-45c8-a17c-1b85f0bec97d" ,
"type" : "datasets"
}
} Bad Request
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Unauthorized
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Forbidden
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Not Found
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} コード例 コピー
## default
#
# Path parameters export project_id = "a33671aa-24fd-4dcd-9b33-a8ec7dde7751" # Curl command curl -X POST "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.uk1.datadoghq.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/llm-obs/v1/${project_id}/datasets " \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY} " \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY} " \
-d @- << EOF
{
"data": {
"attributes": {
"name": "My LLM Dataset"
},
"type": "datasets"
}
}
EOF
"""
Create an Agent Observability dataset returns "OK" response
"""
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v2.api.agent_observability_api import AgentObservabilityApi
from datadog_api_client.v2.model.llm_obs_dataset_data_attributes_request import LLMObsDatasetDataAttributesRequest
from datadog_api_client.v2.model.llm_obs_dataset_data_request import LLMObsDatasetDataRequest
from datadog_api_client.v2.model.llm_obs_dataset_request import LLMObsDatasetRequest
from datadog_api_client.v2.model.llm_obs_dataset_type import LLMObsDatasetType
body = LLMObsDatasetRequest (
data = LLMObsDatasetDataRequest (
attributes = LLMObsDatasetDataAttributesRequest (
name = "My LLM Dataset" ,
),
type = LLMObsDatasetType . DATASETS ,
),
)
configuration = Configuration ()
configuration . unstable_operations [ "create_llm_obs_dataset" ] = True
with ApiClient ( configuration ) as api_client :
api_instance = AgentObservabilityApi ( api_client )
response = api_instance . create_llm_obs_dataset ( project_id = "project_id" , body = body )
print ( response )
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" python3 "example.py"
# Create an Agent Observability dataset returns "OK" response
require "datadog_api_client"
DatadogAPIClient . configure do | config |
config . unstable_operations [ "v2.create_llm_obs_dataset" . to_sym ] = true
end
api_instance = DatadogAPIClient :: V2 :: AgentObservabilityAPI . new
body = DatadogAPIClient :: V2 :: LLMObsDatasetRequest . new ({
data : DatadogAPIClient :: V2 :: LLMObsDatasetDataRequest . new ({
attributes : DatadogAPIClient :: V2 :: LLMObsDatasetDataAttributesRequest . new ({
name : "My LLM Dataset" ,
}),
type : DatadogAPIClient :: V2 :: LLMObsDatasetType :: DATASETS ,
}),
})
p api_instance . create_llm_obs_dataset ( "project_id" , body )
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" rb "example.rb"
// Create an Agent Observability dataset returns "OK" response
package main
import (
"context"
"encoding/json"
"fmt"
"os"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)
func main () {
body := datadogV2 . LLMObsDatasetRequest {
Data : datadogV2 . LLMObsDatasetDataRequest {
Attributes : datadogV2 . LLMObsDatasetDataAttributesRequest {
Name : "My LLM Dataset" ,
},
Type : datadogV2 . LLMOBSDATASETTYPE_DATASETS ,
},
}
ctx := datadog . NewDefaultContext ( context . Background ())
configuration := datadog . NewConfiguration ()
configuration . SetUnstableOperationEnabled ( "v2.CreateLLMObsDataset" , true )
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV2 . NewAgentObservabilityApi ( apiClient )
resp , r , err := api . CreateLLMObsDataset ( ctx , "project_id" , body )
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `AgentObservabilityApi.CreateLLMObsDataset`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
responseContent , _ := json . MarshalIndent ( resp , "" , " " )
fmt . Fprintf ( os . Stdout , "Response from `AgentObservabilityApi.CreateLLMObsDataset`:\n%s\n" , responseContent )
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" go run "main.go"
// Create an Agent Observability dataset returns "OK" response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v2.api.AgentObservabilityApi ;
import com.datadog.api.client.v2.model.LLMObsDatasetDataAttributesRequest ;
import com.datadog.api.client.v2.model.LLMObsDatasetDataRequest ;
import com.datadog.api.client.v2.model.LLMObsDatasetRequest ;
import com.datadog.api.client.v2.model.LLMObsDatasetResponse ;
import com.datadog.api.client.v2.model.LLMObsDatasetType ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
defaultClient . setUnstableOperationEnabled ( "v2.createLLMObsDataset" , true );
AgentObservabilityApi apiInstance = new AgentObservabilityApi ( defaultClient );
LLMObsDatasetRequest body =
new LLMObsDatasetRequest ()
. data (
new LLMObsDatasetDataRequest ()
. attributes ( new LLMObsDatasetDataAttributesRequest (). name ( "My LLM Dataset" ))
. type ( LLMObsDatasetType . DATASETS ));
try {
LLMObsDatasetResponse result =
apiInstance . createLLMObsDataset ( "a33671aa-24fd-4dcd-9b33-a8ec7dde7751" , body );
System . out . println ( result );
} catch ( ApiException e ) {
System . err . println ( "Exception when calling AgentObservabilityApi#createLLMObsDataset" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" java "Example.java"
// Create an Agent Observability dataset returns "OK" response
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV2 ::api_agent_observability ::AgentObservabilityAPI ;
use datadog_api_client ::datadogV2 ::model ::LLMObsDatasetDataAttributesRequest ;
use datadog_api_client ::datadogV2 ::model ::LLMObsDatasetDataRequest ;
use datadog_api_client ::datadogV2 ::model ::LLMObsDatasetRequest ;
use datadog_api_client ::datadogV2 ::model ::LLMObsDatasetType ;
#[tokio::main]
async fn main () {
let body = LLMObsDatasetRequest ::new ( LLMObsDatasetDataRequest ::new (
LLMObsDatasetDataAttributesRequest ::new ( "My LLM Dataset" . to_string ()),
LLMObsDatasetType ::DATASETS ,
));
let mut configuration = datadog ::Configuration ::new ();
configuration . set_unstable_operation_enabled ( "v2.CreateLLMObsDataset" , true );
let api = AgentObservabilityAPI ::with_config ( configuration );
let resp = api
. create_llm_obs_dataset ( "project_id" . to_string (), body )
. await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" cargo run
/**
* Create an Agent Observability dataset returns "OK" response
*/
import { client , v2 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ();
configuration . unstableOperations [ "v2.createLLMObsDataset" ] = true ;
const apiInstance = new v2 . AgentObservabilityApi ( configuration );
const params : v2.AgentObservabilityApiCreateLLMObsDatasetRequest = {
body : {
data : {
attributes : {
name : "My LLM Dataset" ,
},
type : "datasets" ,
},
},
projectId : "project_id" ,
};
apiInstance
. createLLMObsDataset ( params )
. then (( data : v2.LLMObsDatasetResponse ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" tsc "example.ts"